Package org.eclipse.team.core.synchronize

# Class FastSyncInfoFilter.AutomergableFilter

java.lang.Object
org.eclipse.team.core.synchronize.SyncInfoFilter
org.eclipse.team.core.synchronize.FastSyncInfoFilter
org.eclipse.team.core.synchronize.FastSyncInfoFilter.AutomergableFilter

Enclosing class:
  FastSyncInfoFilter

public static class FastSyncInfoFilter.AutomergableFilter extends FastSyncInfoFilter
Selects `SyncInfo` instances that are auto-mergable.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.team.core.synchronize.FastSyncInfoFilter

`FastSyncInfoFilter.AndSyncInfoFilter, FastSyncInfoFilter.AutomergableFilter, FastSyncInfoFilter.CompoundSyncInfoFilter, FastSyncInfoFilter.OrSyncInfoFilter, FastSyncInfoFilter.PseudoConflictFilter, FastSyncInfoFilter.SyncInfoChangeTypeFilter, FastSyncInfoFilter.SyncInfoDirectionFilter`

## Nested classes/interfaces inherited from class org.eclipse.team.core.synchronize.SyncInfoFilter

`SyncInfoFilter.ContentComparisonSyncInfoFilter`

## Constructor Summary

Constructors
Constructor
Description
`AutomergableFilter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`select(SyncInfo info)`
Return whether the provided `SyncInfo` matches the filter.

### Methods inherited from class org.eclipse.team.core.synchronize.FastSyncInfoFilter

`getDirectionAndChangeFilter, select`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AutomergableFilter

public AutomergableFilter()

## Method Details

### select

public boolean select(SyncInfo info)
Description copied from class: `FastSyncInfoFilter`
Return whether the provided `SyncInfo` matches the filter. The default behavior it to include resources whose syncKind is non-zero.

Overrides:
  `select` in class `FastSyncInfoFilter`
Parameters:
  `info` - the `SyncInfo` being tested
Returns:
  `true` if the `SyncInfo` matches the filter